summaryrefslogtreecommitdiff
path: root/misc/dashboard/buildcron.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/dashboard/buildcron.sh')
-rw-r--r--misc/dashboard/buildcron.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/misc/dashboard/buildcron.sh b/misc/dashboard/buildcron.sh
index 42a12b2e7..5f4300796 100644
--- a/misc/dashboard/buildcron.sh
+++ b/misc/dashboard/buildcron.sh
@@ -41,6 +41,9 @@ fi
if [ ! -d $GOROOT ]; then
mkdir -p $GOROOT
hg clone https://go.googlecode.com/hg/ $GOROOT
+else
+ cd $GOROOT
+ hg pull -u || exit 1
fi
mkdir -p $GOROOT/bin